#
# spec file for package python-gphoto2
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-gphoto2
Version:        1.8.2
Release:        lp151.2.4
Summary:        Python interface to libgphoto2
License:        GPL-3.0+
Group:          Development/Languages/Python
Url:            https://github.com/jim-easterbrook/python-gphoto2
Source0:        https://files.pythonhosted.org/packages/source/g/gphoto2/gphoto2-%{version}.tar.gz
# PATCH-FIX-OPENSUSE python-gphoto2-do_not_install_data.patch
Patch0:         %{name}-do_not_install_data.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(libgphoto2)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
Python bindings to libgphoto2. The module is built using SWIG to
automatically generate the interface code. This gives direct
access to nearly all of the libgphoto2 functions, although sometimes
in a nonstandard manner.

%prep
%setup -q -n gphoto2-%{version}
%patch0 -p1
# remove unwanted shebang
sed -e '1d' -i examples/*.py

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitearch}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG.txt README.rst LICENSE.txt examples
%{python_sitearch}/*

%changelog
* Tue Jan 30 2018 aloisio@gmx.com
- Update to version 1.8.2
  * Fix bug in v1.8.1 that caused installation problems on some
    systems.
  version 1.8.1:
  * Logging callbacks now pass 'bytes' objects in Python3.
  * Increased number of functions allow other Python threads to
    run.
  version 1.8.0:
  * The 'context' parameter is now optional for most functions.
  * Some deprecated functions have been removed.
  * Improved documentation of many functions.
  * Substantial rework of logging callback processing.
* Sun Aug 27 2017 aloisio@gmx.com
- Update to version 1.7.1
  * Return string values from gp_camera_wait_for_event.
* Fri Jul  7 2017 aloisio@gmx.com
- Initial package (1.7.0)
